Subject: bug#79197: [PATCH] ; * lisp/simple.el (yank): Update docstring.

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 Aug 2025 09:06:43 +0300

> Date: Fri, 08 Aug 2025 02:52:28 +0530
> From:  James Thomas via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> +If N is negative, reinsert the earliest available kill.

Thanks, but that is not what I see when I try "C-u - 1 C-y".  It
inserts the 2nd earliest kill, i.e., not the first one I killed, but
the one after it.  Which seems to be consistent with this snippet:

  (insert-for-yank (current-kill (cond
				  ((listp arg) 0)
				  ((eq arg '-) -2)
				  (t (1- arg)))))